Skip to main content
GET
/
v1
/
appointments
Get Appointments
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/appointments \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2024-11-20T07:43:34+0000",
      "type": "video",
      "status": "upcoming",
      "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "memberId": "<string>",
      "startDate": "2024-11-20T07:43:34+0000",
      "endDate": "2024-11-20T07:43:34+0000",
      "actualStartDate": "2024-11-20T07:43:34+0000",
      "actualEndDate": "2024-11-20T07:43:34+0000",
      "location": "<string>",
      "cancellationDate": "2024-11-20T07:43:34+0000",
      "cancellationReason": "<string>"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string<uuid>
providerId
string<uuid>
memberId
string
startDate
string
Example:

"2024-11-20T07:43:34+0000"

endDate
string
Example:

"2024-11-20T07:43:34+0000"

status
enum<string>
Available options:
upcoming,
occurred,
cancelled,
no-show,
re-scheduled
type
string
pageSize
number
default:20
Required range: 1 <= x <= 200
cursor
string

Response

items
object[]
required
cursor
string